%define major	8
%define gmajor	1.0
%define libname	%mklibname %{name} %{major}
%define girname	%mklibname %{name}-gir %{gmajor}

%define libnameappstream_builder	%mklibname appstream-builder %{major}
%define girnameappstream_builder	%mklibname appstream-builder-gir %{gmajor}

%define devname	%mklibname %{name} -d

%define url_ver	%(echo %{version} | cut -d. -f1,2)

Name:		appstream-glib
Version:	0.6.12
Release:	%mkrel 1
Summary:	Library for reading and writing AppStream metadata
Group:		System/Libraries
License:	LGPLv2+
URL:		http://people.freedesktop.org/~hughsient/appstream-glib/
Source0:	http://people.freedesktop.org/~hughsient/appstream-glib/releases/%{name}-%{version}.tar.xz

# Mageia specific patches
## (ngompa): Fix path for libstemmer headers
Patch1000:	appstream-glib-0.6.5-mga-Fix-path-for-libstemmer.patch

# Because of Patch1000, we need to regenerate autofoo
BuildRequires:	autoconf
BuildRequires:	autoconf-archive
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	gettext-devel

# Regular build dependencies
BuildRequires:	pkgconfig(libgcab-1.0)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0) >= 2.31.5
BuildRequires:	pkgconfig(glib-2.0) >= 2.45.8
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(json-glib-1.0) >= 1.1.1
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(libsoup-2.4) >= 2.51.92
BuildRequires:	pkgconfig(rpm)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(yaml-0.1)
BuildRequires:	libstemmer-devel
BuildRequires:	intltool
BuildRequires:	gtk-doc
BuildRequires:	gcab
BuildRequires:	gperf

%description
This library provides GObjects and helper methods to make it easy to read and
write AppStream metadata. It also provides a simple DOM implementation that
makes it easy to edit nodes and convert to and from the standardized XML
representation.

%package -n appstream-util
Summary:	Utility to do simple operations on AppStream metadata
Group:		System/Packaging
Obsoletes:	appdata-tools < 0.1.9
Provides:	appdata-tools = %{version}-%{release}
Requires:	%{libname}%{?_isa} = %{version}-%{release}
Requires:	%{libnameappstream_builder}%{?_isa} = %{version}-%{release}

%description -n appstream-util
Utility to do simple operations on AppStream metadata.

Sub-commands understood by this utility include: 'install', 'uninstall',
'dump' and 'convert'.

%package -n %{libname}
Summary:	Library for reading and writing AppStream metadata
Group:		System/Libraries
Obsoletes:	%{_lib}appstream-glib1.0_1 < 0.1.1-2
Requires:	%{name}-i18n >= %{version}-%{release}

%description -n %{libname}
This library provides GObjects and helper methods to make it easy to read and
write AppStream metadata. It also provides a simple DOM implementation that
makes it easy to edit nodes and convert to and from the standardized XML
representation.

%package -n %{libnameappstream_builder}
Summary:	Library for reading and writing AppStream metadata
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}-%{release}

%description -n %{libnameappstream_builder}
This library provides GObjects and helper methods to make it easy to read and
write AppStream metadata. It also provides a simple DOM implementation that
makes it easy to edit nodes and convert to and from the standardized XML
representation.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Conflicts:	%{_lib}appstream-glib1.0_1 < 0.1.1-2

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{girnameappstream_builder}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libnameappstream_builder} = %{version}-%{release}

%description -n %{girnameappstream_builder}
GObject Introspection interface description for %{name}.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libnameappstream_builder} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Requires:	%{girnameappstream_builder} = %{version}-%{release}
# tools are tested by some pkgs, thus fixing generating deps:
Requires:	appstream-util
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}appstream-glib1.0-devel < 0.1.1-2
Conflicts:	appdata-tools < 0.1.9

%description -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package i18n
Summary:	Library for reading and writing AppStream metadata - translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
This package contains translations used by %{name}.

%prep
%autosetup -p1

%build
# Because of Patch1000, we need to regenerate autotools configure
rm -fv configure
NOCONFIGURE=1 ./autogen.sh
%configure2_5x --disable-static --enable-stemmer --enable-gtk-doc
%make_build V=1

%install
%make_install

# Remove unwanted la files
find %{buildroot} -name "*.la" -delete

%{find_lang} %{name}

%files -n appstream-util
%{_bindir}/appstream-util
%{_bindir}/appstream-builder
%{_bindir}/appstream-compose
%{_datadir}/bash-completion/completions/appstream-util
%{_datadir}/bash-completion/completions/appstream-builder
%{_libdir}/asb-plugins-5/libasb_plugin_*.so
%{_mandir}/man1/appstream-builder.1*
%{_mandir}/man1/appstream-util.1*
%{_mandir}/man1/appstream-compose.1*

%files -n %{libname}
%doc AUTHORS NEWS
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*
#%{python3_sitearch}/gi/overrides/*

%files -n %{libnameappstream_builder}
%{_libdir}/libappstream-builder.so.%{major}
%{_libdir}/libappstream-builder.so.%{major}.*

%files -n %{girname}
%{_libdir}/girepository-1.0/AppStreamGlib-%{gmajor}.typelib

%files -n %{girnameappstream_builder}
%{_libdir}/girepository-1.0/AppStreamBuilder-%{gmajor}.typelib

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/appstream-glib/
%{_includedir}/lib%{name}/
%{_includedir}/libappstream-builder/
%{_libdir}/lib%{name}.so
%{_libdir}/libappstream-builder.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/appstream-builder.pc
%{_datadir}/gir-1.0/AppStreamGlib-%{gmajor}.gir
%{_datadir}/gir-1.0/AppStreamBuilder-%{gmajor}.gir
%{_datadir}/aclocal/appstream-xml.m4
%{_datadir}/aclocal/appdata-xml.m4
%{_datadir}/installed-tests/appstream-glib
%{_datadir}/gettext/its/appdata.its
%{_datadir}/gettext/its/appdata.loc

%files i18n -f %{name}.lang


%changelog
* Fri Apr 14 2017 luigiwalser <luigiwalser> 0.6.12-1.mga6
+ Revision: 1096523
- 0.6.12

* Wed Mar 29 2017 luigiwalser <luigiwalser> 0.6.11-1.mga6
+ Revision: 1095161
- 0.6.11

* Thu Mar 23 2017 tv <tv> 0.6.10-2.mga6
+ Revision: 1094605
- BR appstream-util in devel pkg thus fixing missing typelib() deps in some pkgs

* Thu Mar 09 2017 luigiwalser <luigiwalser> 0.6.10-1.mga6
+ Revision: 1090518
- 0.6.10

* Fri Feb 17 2017 ngompa <ngompa> 0.6.8-1.mga6
+ Revision: 1086569
- Update to 0.6.8

* Sat Jan 14 2017 luigiwalser <luigiwalser> 0.6.7-1.mga6
+ Revision: 1081683
- 0.6.7

* Fri Dec 23 2016 luigiwalser <luigiwalser> 0.6.6-1.mga6
+ Revision: 1076650
- 0.6.6

* Fri Nov 11 2016 ngompa <ngompa> 0.6.5-1.mga6
+ Revision: 1066365
- Upgrade to 0.6.5

* Tue Oct 11 2016 ngompa <ngompa> 0.6.3-1.mga6
+ Revision: 1060118
- Upgrade to 0.6.3

* Mon Aug 29 2016 ngompa <ngompa> 0.6.2-1.mga6
+ Revision: 1049433
- Update to 0.6.2

* Sun Aug 07 2016 ngompa <ngompa> 0.5.17-2.mga6
+ Revision: 1044868
- Ensure matching versions of appstream-glib libs are installed with appstream-util

* Sun Jul 17 2016 ngompa <ngompa> 0.5.17-1.mga6
+ Revision: 1042322
- Upgrade to 0.5.17
- Enforce glib2.0 version requirement in BR

* Wed Jun 15 2016 ngompa <ngompa> 0.5.16-1.mga6
+ Revision: 1021563
- Upgrade to 0.5.16

* Fri Mar 18 2016 tv <tv> 0.5.11-1.mga6
+ Revision: 992731
- BR pkgconfig(json-glib-1.0)
- new release

* Mon Feb 29 2016 ovitters <ovitters> 0.5.10-1.mga6
+ Revision: 981004
- new version 0.5.10

* Sun Jan 03 2016 wally <wally> 0.5.5-1.mga6
+ Revision: 919137
- BR 'pkgconfig(uuid)'
- new version 0.5.5

* Sun Sep 27 2015 tv <tv> 0.5.1-1.mga6
+ Revision: 884100
- new release

* Sun Sep 06 2015 tv <tv> 0.5.0-4.mga6
+ Revision: 873303
- rebuild with new rpm

  + wally <wally>
    - add missing lib pkg require to devel pkg

* Wed Sep 02 2015 wally <wally> 0.5.0-3.mga6
+ Revision: 872302
- add versioned provide for appdata-tools

* Wed Sep 02 2015 wally <wally> 0.5.0-2.mga6
+ Revision: 872275
- obsolete appdata-tools

* Thu Aug 20 2015 ovitters <ovitters> 0.5.0-1.mga6
+ Revision: 866974
- update file list
- update major
- update file list
- new version 0.5.0

* Sun Jun 28 2015 wally <wally> 0.2.5-4.mga6
+ Revision: 847139
- add requires for gir pkg to devel pkg

* Wed Oct 15 2014 umeabot <umeabot> 0.2.5-3.mga5
+ Revision: 742110
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.5-2.mga5
+ Revision: 677870
- Mageia 5 Mass Rebuild

* Tue Aug 19 2014 fwang <fwang> 0.2.5-1.mga5
+ Revision: 665469
- update file list
- 0.2.5

* Wed Jul 23 2014 ovitters <ovitters> 0.2.3-1.mga5
+ Revision: 656110
- new version 0.2.3

* Wed Jul 23 2014 ovitters <ovitters> 0.2.2-1.mga5
+ Revision: 656093
- new version 0.2.2
- dropped merged patch 1

* Tue Jun 24 2014 ovitters <ovitters> 0.2.1-2.mga5
+ Revision: 639514
- enable rpm support for appstream-builder

* Tue Jun 24 2014 ovitters <ovitters> 0.2.1-1.mga5
+ Revision: 639477
- add patch to fix build
- extensive update of filelist
- verbose make
- new version 0.2.1

* Wed May 28 2014 wally <wally> 0.1.6-1.mga5
+ Revision: 627255
- new version 0.1.6
- split out utility to own subpkg

* Wed May 28 2014 wally <wally> 0.1.1-2.mga5
+ Revision: 627245
- fix lib and devel pkg names and summaries
- split out gir typelib
- don't own gtk-doc dir

* Wed Mar 26 2014 ovitters <ovitters> 0.1.1-1.mga5
+ Revision: 608729
- imported package appstream-glib

